## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# aws::autom::iObject Struct Reference

Base class for all Keila objects. More...

`#include <iaws/aws2.h>`

List of all members.

## Public Types

enum | TYPE

## Public Member Functions

virtual csRef< iString > | GetName ()=0
| Gets the name of the object.
virtual TYPE | ObjectType ()=0
| Returns the type of the object, a member of the object::TYPE enumeration.
virtual csRef< iString > | ReprObject ()=0
| Converts the object into the text representation of it.
virtual void | SetName (iString *_name)=0
| Sets the name of the object.
virtual floating | ToFloat ()=0
| Converts the object into a float object, if possible.
virtual integer | ToInt ()=0
| Converts the object into an integer object, if possible.
virtual string | ToString ()=0
| Converts the object into a string object if possible.

## Detailed Description

Base class for all Keila objects.

Definition at line 53 of file aws2.h.

## Member Function Documentation

virtual csRef<iString> aws::autom::iObject::GetName | ( |  | ) | `[pure virtual]`

| Gets the name of the object.

virtual TYPE aws::autom::iObject::ObjectType | ( |  | ) | `[pure virtual]`

| Returns the type of the object, a member of the object::TYPE enumeration.

virtual csRef<iString> aws::autom::iObject::ReprObject | ( |  | ) | `[pure virtual]`

| Converts the object into the text representation of it. This is the inverse of parsing.

virtual void aws::autom::iObject::SetName | ( | iString * | _name | ) | `[pure virtual]`

| Sets the name of the object.

virtual floating aws::autom::iObject::ToFloat | ( |  | ) | `[pure virtual]`

| Converts the object into a float object, if possible.

virtual integer aws::autom::iObject::ToInt | ( |  | ) | `[pure virtual]`

| Converts the object into an integer object, if possible.

virtual string aws::autom::iObject::ToString | ( |  | ) | `[pure virtual]`

| Converts the object into a string object if possible.

The documentation for this struct was generated from the following file:

- iaws/aws2.h